<?xml version="1.0"?>

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>

<!-- set the output properties -->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0" xml:space="preserve">

<!-- set the output properties -->
<xsl:output method="html" encoding="UTF-8"/>

<!-- need ot be loaded before other js files -->
<xsl:template name="javascript_vars">
<script>

<!-- these hold global context -->
var gID='<xsl:value-of select="/calendar/GlobalInfo/@gID"/>';
var gCRC='<xsl:value-of select="/calendar/GlobalInfo/@gCRC"/>';
var gCurView='<xsl:value-of select="/calendar/GlobalInfo/@gCurView"/>';
var gOldView='<xsl:value-of select="/calendar/GlobalInfo/@gOldView"/>';
var gDate='<xsl:value-of select="/calendar/GlobalInfo/@gDate"/>';
var gCommandBaseURL = '<xsl:value-of select="/calendar/@proxyURL"/>' + '<xsl:value-of select="/calendar/@commandBaseURL"/>';

</script>
<!-- now load the strings -->
<xsl:call-template name="javascript_strings"/>
</xsl:template>

<xsl:template name="javascript_strings">
<script>
<!-- these are global translated strings -->
<!-- still to fix? -->

var alert_blank='選択が空白です';
var alert_min_year='1970 年より前の年は表示できません';
var alert_max_year='2036 年より後の年は表示できません';
var confirm_event_delete='この予定を削除しますか。';
var confirm_task_delete='この作業を削除しますか。';
var alert_invalid_date='日付が無効です。正しい日付を指定してください。';
var jan='1 月';
var feb='2 月';
var mar='3 月';
var apr='4 月';
var may='5 月';
var jun='6 月';
var jul='7 月';
var aug='8 月';
var sep='9 月';
var oct='10 月 ';
var nov='11 月';
var dec='12 月';
var invalid_recurrence_pattern_msg='繰り返しパターンが無効です: 繰り返す日を選択してください';

var dateCheckErrorMsg = new Array();
    dateCheckErrorMsg['invalid day'] = '有効な日付を入力してください.'; 
    dateCheckErrorMsg['provide a good day'] = '以下の月に対して有効な日付を入力してください: '; 
    dateCheckErrorMsg['provide good month'] = '1 月から 12 月の間で入力してください.'; 
    dateCheckErrorMsg['provide good year'] = '有効な年を指定してください。\n\n年を 2 桁で表す場合、37 より小さい値は\n21 世紀の年と解釈されます。\n\nたとえば、03 は 2003 年です。';
    dateCheckErrorMsg['provide good min year'] = '1971 年以降の年を入力してください.';
    dateCheckErrorMsg['provide good max year'] = '2036 年までの年を入力してください.';
    dateCheckErrorMsg['provide good hour'] = '12 時間モードでは、1 時から 12時の間で、24 時間モードでは、0 時 から 23 時の間で入力してください';
    dateCheckErrorMsg['provide good duration hour'] = '0 時から 23 時の間で入力してください.';
    dateCheckErrorMsg['provide good minute'] = '0 分から 59 分の間で入力してください';
    dateCheckErrorMsg['good until day'] = '終了日は開始日以降を指定してください';
    dateCheckErrorMsg['adjusting to a good day'] = '入力した日付が存在しません。\nもっとも近い有効な日付のカレンダーに設定します';
    delete_text='削除してよろしいですか。';
</script>
</xsl:template>

<!-- <xsl:template name="javascript_accept_users"> -->
<!-- Now in js_accept_invite.js -->

<!-- <xsl:template name="javascript"> -->
<!-- now in javascript.js -->

<!-- <xsl:template name="javascriptNormalize"> -->
<!-- now in js_normalize.js -->

<!-- <xsl:template name="javascriptEncodeCalAddr"> -->
<!-- now in js_encode_cal_addr.js -->

<!-- <xsl:template name="contextJavascript"> -->
<!-- now in  js_context.js -->

<!-- <xsl:template name="jump_to_javascript"> -->
<!-- now in js_jump_to.js -->

<!-- <xsl:template name="dateChecking"> -->
<!-- now in js_date_checking.js -->
</xsl:stylesheet>
